
StocksAndFisheriesKB - Bug #16498

Update Management Entities Information

Apr 10, 2019 10:23 AM - Yannis Marketakis

Status: In Progress Start date: Apr 10, 2019

Priority: Normal Due date: Apr 12, 2019

Assignee: Yannis Marketakis % Done: 10%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

There are various information missing (e.g. acronym, country) from the management entities for several fisheries records.

Now FishSource has exposed more recent information. As a result: 

we will update the GRSF KB with the missing information about the management entities (coming from FishSource)

we will update the corresponding records in GRSF VREs (both legacy and GRSF records)

Related issues:

Related to StocksAndFisheriesKB - Bug #13250: Honduran management organizatio... Closed Apr 11, 2064

History

#1 - Apr 10, 2019 11:25 AM - Yannis Marketakis

- File Fishery Records with updated management entities.xlsx added

The attached list contains the fishery records to be updated w.r.t. the updates in their management entities (i.e. addition of code or country).

I'll update the GRSF KB w.r.t. this list and then update the records in GRSF admin.

After that, I'll proceed with the corresponding GRSF fishery records.

#2 - Apr 11, 2019 10:45 AM - Yannis Marketakis

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

The management entities have been updated w.r.t. the latest information from FishSource. 

In addition, we have updated the corresponding (legacy) fishery records and the GRSF Fishery records accordingly (including updating their semantic

identifiers properly).

#3 - Apr 11, 2019 10:50 AM - Yannis Marketakis

- File issue_16948_updated_Records.xlsx added

If you wish to check the updated records, attached you will find the list of catalog URLs for the records that have been updated.

#4 - Apr 18, 2019 01:55 PM - Marina Mendes

- Related to Bug #13250: Honduran management organization acronym not appearing added

#5 - Apr 18, 2019 02:15 PM - Marina Mendes

Hi Yannis, thanks for your work on this. I can confirm the records identified in notes 43 and 44 of #13250 are updated but I wanted to let you know

can I couldn't find them in any of the attached files (using the code after the slash).

#6 - Apr 18, 2019 03:16 PM - Marina Mendes

this record

http://data.d4science.org/ctlg/GRSF_Admin/20366f4e-5949-31be-9ff9-816a8c79e661

is missing the national authority

GRSF Semantic identifier: asfis:HKU+fao:41.2;fao:41.3++iso3:BRA+isscfg:03.19

#7 - Apr 18, 2019 03:56 PM - Yannis Marketakis

- File capture.jpg added

- Status changed from Feedback to In Progress
- % Done changed from 100 to 90

Marina Mendes wrote:

Hi Yannis, thanks for your work on this. I can confirm the records identified in notes 43 and 44 of #13250 are updated but I wanted to let you

know can I couldn't find them in any of the attached files (using the code after the slash).

 Hi Marina. You can find them in the file with name issue_16948_updated_Records.xlsx in lines 470 and 473. 

 

Marina Mendes wrote:

this record

http://data.d4science.org/ctlg/GRSF_Admin/20366f4e-5949-31be-9ff9-816a8c79e661 is missing the national authority GRSF Semantic identifier:

asfis:HKU+fao:41.2;fao:41.3++iso3:BRA+isscfg:03.19

 I will further investigate this

#8 - Apr 19, 2019 12:57 PM - Marina Mendes

the same with this one http://data.d4science.org/ctlg/GRSF_Admin/cd1629e2-d7fa-3859-a64b-20f1cf5aa38f

thanks Yannis!

#9 - Apr 19, 2019 01:05 PM - Marina Mendes

http://data.d4science.org/ctlg/GRSF_Admin/062bda35-7228-34b2-ba8f-63794d975e35

#10 - Apr 19, 2019 02:19 PM - Yannis Marketakis

- Status changed from In Progress to Feedback

I found 39 records that (for a strange reason) haven't been updated. Now they're OK.

The following records are still missing the management authority (we are missing their country codes)

http://data.d4science.org/ctlg/GRSF_Admin/0c2a1764-ff70-334d-b227-1613d6532776

http://data.d4science.org/ctlg/GRSF_Admin/70668ee0-29e5-3e19-a098-fe311dde518e

http://data.d4science.org/ctlg/GRSF_Admin/fb3d3dad-44c7-3e78-a8c8-f19aca1233d9

http://data.d4science.org/ctlg/GRSF_Admin/9a019451-c4ed-3d8e-86d3-e70813d8a337

http://data.d4science.org/ctlg/GRSF_Admin/53ecf5cd-db2e-3497-b4aa-f51eb975862d

http://data.d4science.org/ctlg/GRSF_Admin/67d6f313-e1fb-3f12-8001-5f16ea6c556f

http://data.d4science.org/ctlg/GRSF_Admin/e1c5eeaa-d177-34c5-9ddf-093563c5aa38

http://data.d4science.org/ctlg/GRSF_Admin/e8a406c1-4e49-3adc-8d0a-14a03d4ed630

http://data.d4science.org/ctlg/GRSF_Admin/8e80b047-6b56-3d17-b4d0-73bbf64faf73

http://data.d4science.org/ctlg/GRSF_Admin/1b6de89a-015f-378a-9e7b-4eae48121fc0

http://data.d4science.org/ctlg/GRSF_Admin/88a709e4-b387-39e5-b8d2-abe92cece8a7

http://data.d4science.org/ctlg/GRSF_Admin/4abf301f-7703-34cf-8945-3f10261fa0a3

http://data.d4science.org/ctlg/GRSF_Admin/99785046-8a8f-3051-a830-a23b772a200c

#11 - Apr 24, 2019 11:54 AM - Marina Mendes

thanks a lot, Yannis! I'll check the listed records to try to understand why the country codes are missing in FS.

#12 - May 08, 2019 10:43 AM - Susana Segurado

- Assignee changed from Yannis Marketakis to Merul Patel

We've found the issue with the remaining records is a case-sensitivity mismatch on our end, resulting in the country not being sent. Assigning to

Merul.

#13 - May 08, 2019 04:08 PM - Merul Patel

- Assignee changed from Merul Patel to Yannis Marketakis
Curiously only the Organizations for the Falklands were affected. I've corrected the data on FS so the API will now return the country information

correctly. I've also queued up a development task to ensure we can get better quality control on this at our end. 

Fishsource ticket: https://sharespace.sustainablefish.org/issues/15559

#14 - May 10, 2019 10:26 AM - Yannis Marketakis

- Assignee changed from Yannis Marketakis to Merul Patel

Thanks for the update Merul. I've updated the corresponding records in GRSF Admin VRE. There are still some issues (I'm pasting them here if you

wish to investigate them).

https://www.fishsource.org/api/bluebridge/v4/fisheries/5531 (we are missing the country of the management authority)

https://www.fishsource.org/api/bluebridge/v4/fisheries/4370 (we are missing the acronym of the management authority)

https://www.fishsource.org/api/bluebridge/v4/fisheries/2803 (cannot find the fishery record)

https://www.fishsource.org/api/bluebridge/v4/fisheries/4291 (cannot find the fishery record)

https://www.fishsource.org/api/bluebridge/v4/fisheries/5515 (cannot find the fishery record)

https://www.fishsource.org/api/bluebridge/v4/fisheries/4290 (cannot find the fishery record)

#15 - May 23, 2019 04:10 PM - Susana Segurado

https://www.fishsource.org/api/bluebridge/v4/fisheries/5531 (we are missing the country of the management authority)

This is an international organisation, the Convention on the Conservation and Management of Pollock Resources in the Central Bering Sea (CCBSP):

do we need to add it to a list of international organisations or how do we get it to be recognised as INT?

https://www.fishsource.org/api/bluebridge/v4/fisheries/4370 (we are missing the acronym of the management authority)

Corrected

https://www.fishsource.org/api/bluebridge/v4/fisheries/2803 (cannot find the fishery record)

https://www.fishsource.org/api/bluebridge/v4/fisheries/4291 (cannot find the fishery record)

https://www.fishsource.org/api/bluebridge/v4/fisheries/5515 (cannot find the fishery record)

https://www.fishsource.org/api/bluebridge/v4/fisheries/4290 (cannot find the fishery record)

Merul, would you be able to look into these please?

#16 - May 24, 2019 09:40 AM - Yannis Marketakis

- Status changed from Feedback to In Progress

- Assignee changed from Merul Patel to Yannis Marketakis

Thanks @susana.segurado@sustainablefish.org for the update.

I will update the records containing https://www.fishsource.org/api/bluebridge/v4/fisheries/5531 and 

https://www.fishsource.org/api/bluebridge/v4/fisheries/4370 accordingly.

As soon as @merul.patel@sustainablefish.org has an update for the rest of them, I'll proceed with those as well.

#17 - May 24, 2019 11:01 AM - Yannis Marketakis

In addition, I noticed that the acronyms for the organizations with ID 5073 have changed from DPIRD to WAMF.

This affects several records in GRSF (for example http://data.d4science.org/ctlg/GRSF_Admin/d65ab940-db6f-3389-a4e5-bd902128c8d7).

Can you confirm if this update is correct?

#18 - May 24, 2019 02:36 PM - Susana Segurado

Thanks for spotting that Yannis. I have amended the organisation details and all should be correct now.

#19 - May 24, 2019 04:37 PM - Yannis Marketakis

Thanks Susana.

I've updated the records accordingly. 

#20 - May 24, 2019 04:37 PM - Yannis Marketakis

- Assignee changed from Yannis Marketakis to Merul Patel

#21 - May 04, 2020 06:32 PM - Merul Patel

- Assignee changed from Merul Patel to Yannis Marketakis

These fishery records no longer exist - and have been deleted since the original harvest:

1. https://www.fishsource.org/api/bluebridge/v4/fisheries/2803 (cannot find the fishery record)

2. https://www.fishsource.org/api/bluebridge/v4/fisheries/4291 (cannot find the fishery record)
3. https://www.fishsource.org/api/bluebridge/v4/fisheries/5515 (cannot find the fishery record)

4. https://www.fishsource.org/api/bluebridge/v4/fisheries/4290 (cannot find the fishery record)

Please note, we're in the middle of making an additional modification to the API when returning management entity information, which will allow one

or more ISO3166-2 subdivisions to be returned instead of just single values. Examples of this include interstate agencies like Gulf States Marine

Fisheries Commission (Texas, Louisiana, Mississippi, Alabama, Florida), but this shouldn't affect our work significantly. Please just ensure your

harvest code notes the change in a value from String to Array.

Note for MP and SS: https://sharespace.sustainablefish.org/issues/15554

Files

Fishery Records with updated management entities.xlsx 32.1 KB Apr 10, 2019 Yannis Marketakis

issue_16948_updated_Records.xlsx 46.4 KB Apr 11, 2019 Yannis Marketakis

capture.jpg 47.8 KB Apr 18, 2019 Yannis Marketakis
